searchNodes=[{"ref":"Membrane.Element.FFmpeg.H264.Decoder.html","title":"Membrane.Element.FFmpeg.H264.Decoder","type":"module","doc":"Membrane element that decodes video in H264 format. It is backed by decoder from FFmpeg. The element expects the data for each frame (Access Unit) to be received in a separate buffer, so the parser (Membrane.Element.FFmpeg.H264.Parser) may be required in a pipeline before decoder (e.g. when input is read from Membrane.Element.File.Source). Pads :input Availability:always CapsMembrane.Caps.Video.H264, restrictions:&nbsp;&nbsp;stream_format: :byte_stream,&nbsp;&nbsp;alignment: :au Demand&nbsp;unit:buffers Direction:input Mode:pull :output Availability:always CapsMembrane.Caps.Video.Raw, restrictions:&nbsp;&nbsp;format: one_of([:I420, :I422]),&nbsp;&nbsp;aligned: true Direction:output Mode:pull"},{"ref":"Membrane.Element.FFmpeg.H264.Decoder.html#membrane_pads/0","title":"Membrane.Element.FFmpeg.H264.Decoder.membrane_pads/0","type":"function","doc":"Returns pads descriptions for Membrane.Element.FFmpeg.H264.Decoder"},{"ref":"Membrane.Element.FFmpeg.H264.Encoder.html","title":"Membrane.Element.FFmpeg.H264.Encoder","type":"module","doc":"Membrane element that encodes raw video frames to H264 format. The element expects each frame to be received in a separate buffer, so the parser (Membrane.Element.RawVideo.Parser) may be required in a pipeline before the encoder (e.g. when input is read from Membrane.Element.File.Source). Additionaly, the encoder has to receive proper caps with picture format and dimensions before any encoding takes place. Please check t/0 for available options. Element options Passed via struct Membrane.Element.FFmpeg.H264.Encoder.t/0 crf Default value: 23 Constant rate factor that affects the quality of output stream. Value of 0 is lossless compression while 51 (for 8-bit samples) or 63 (10-bit) offers the worst quality. The range is exponential, so increasing the CRF value +6 results in roughly half the bitrate / file size, while -6 leads to roughly twice the bitrate. preset Default value: :medium Collection of predefined options providing certain encoding. The slower the preset choosen, the higher compression for the same quality can be achieved. profile Default value: :high Defines the features that will have to be supported by decoder to decode video encoded with this element. Pads :input Availability:always CapsMembrane.Caps.Video.Raw, restrictions:&nbsp;&nbsp;format: one_of([:I420, :I422]),&nbsp;&nbsp;aligned: true Demand&nbsp;unit:buffers Direction:input Mode:pull :output Availability:always CapsMembrane.Caps.Video.H264, restrictions:&nbsp;&nbsp;stream_format: :byte_stream,&nbsp;&nbsp;alignment: :au Direction:output Mode:pull"},{"ref":"Membrane.Element.FFmpeg.H264.Encoder.html#membrane_pads/0","title":"Membrane.Element.FFmpeg.H264.Encoder.membrane_pads/0","type":"function","doc":"Returns pads descriptions for Membrane.Element.FFmpeg.H264.Encoder"},{"ref":"Membrane.Element.FFmpeg.H264.Encoder.html#options/0","title":"Membrane.Element.FFmpeg.H264.Encoder.options/0","type":"function","doc":"Returns description of options available for this module"},{"ref":"Membrane.Element.FFmpeg.H264.Encoder.html#t:presets/0","title":"Membrane.Element.FFmpeg.H264.Encoder.presets/0","type":"type","doc":""},{"ref":"Membrane.Element.FFmpeg.H264.Encoder.html#t:t/0","title":"Membrane.Element.FFmpeg.H264.Encoder.t/0","type":"type","doc":"Struct containing options for Membrane.Element.FFmpeg.H264.Encoder"},{"ref":"Membrane.Element.FFmpeg.H264.Parser.html","title":"Membrane.Element.FFmpeg.H264.Parser","type":"module","doc":"Membrane element providing parser for H264 encoded video stream. Uses the parser provided by FFmpeg. It receives buffers with binary payloads and splits them into frames. Element options Passed via struct Membrane.Element.FFmpeg.H264.Parser.t/0 framerate Default value: {0, 1} Framerate of video stream, see Membrane.Caps.Video.H264.framerate_t/0 Pads :input Availability:always Caps:any Demand&nbsp;unit:buffers Direction:input Mode:pull :output Availability:always CapsMembrane.Caps.Video.H264, restrictions:&nbsp;&nbsp;stream_format: :byte_stream,&nbsp;&nbsp;alignment: :au Direction:output Mode:pull"},{"ref":"Membrane.Element.FFmpeg.H264.Parser.html#membrane_pads/0","title":"Membrane.Element.FFmpeg.H264.Parser.membrane_pads/0","type":"function","doc":"Returns pads descriptions for Membrane.Element.FFmpeg.H264.Parser"},{"ref":"Membrane.Element.FFmpeg.H264.Parser.html#options/0","title":"Membrane.Element.FFmpeg.H264.Parser.options/0","type":"function","doc":"Returns description of options available for this module"},{"ref":"Membrane.Element.FFmpeg.H264.Parser.html#t:t/0","title":"Membrane.Element.FFmpeg.H264.Parser.t/0","type":"type","doc":"Struct containing options for Membrane.Element.FFmpeg.H264.Parser"},{"ref":"readme.html","title":"Membrane Multimedia Framework: FFmpeg H264 Element","type":"extras","doc":"Membrane Multimedia Framework: FFmpeg H264 Element This package provides Membrane Multimedia Framework elements that can be used to encode, parse and decode H264 video streams using ffmpeg and x264 Documentation is available at HexDocs"},{"ref":"readme.html#installation","title":"Membrane Multimedia Framework: FFmpeg H264 Element - Installation","type":"extras","doc":"Add the following line to your deps in mix.exs. Run mix deps.get. {:membrane_element_ffmpeg_h264, &quot;~&gt; 0.1&quot;} You also need to have ffmpeg libraries installed in your system. Ubuntu sudo apt-get install libavcodec-dev libavformat-dev libavutil-dev Arch/Manjaro pacman -S ffmpeg MacOS brew install ffmpeg"},{"ref":"readme.html#copyright-and-license","title":"Membrane Multimedia Framework: FFmpeg H264 Element - Copyright and License","type":"extras","doc":"Copyright 2018, Software Mansion"}]